import fireIcon from '@/assets/images/icon/fire.png'
/**
 * 创建图标
 */
export const createDisasterPointHTML =
`<div class="fire-container">
  <div class="icon-local">
    <img style="width:2vw;height:4vh;" src="${fireIcon}" alt="图标" />
  </div>
</div>`;

/**
 * 
 * @param payload 数据
 * @returns html内容
 */
export const createDisasterInfoWindowHTML = (payload: InfoWindowPayload<DisasterData>) => {
  const { data } = payload
  return `<div class="amap-window">
    <div class="title">${data.type}</div>
    <div class="content">
      <div><span class="key">案发时间：</span>${data.occurrenceTime}</div>
      <div><span class="key">案件地址：</span>${data.occurrenceAddress}</div>
      <div><span class="key">主管机构：</span>${data.competentOrg}</div>
      <div><span class="key">出动力量：</span>${data.outOfResource}</div>
      <div><span class="key">出动时间：</span>${data.outOfTime}</div>
      <div><span class="key">出水时间：</span>${data.waterTime}</div>
    </div>
  </div>`
} 
