import { createRouter ,createWebHistory, RouteRecordRaw } from 'vue-router'


const routes:RouteRecordRaw[] = [
  {
    name: "Main",
    path: "/",
    component: () => import("@/pages/RescueDutyDynamicsView") // 首页
  },
  {
    name: "Deatil",
    path: "/detail/:id",
    component: () => import("@/pages/RescueDutyDynamicsDetailView") // 首页
  }
]

const router = createRouter({
  history: createWebHistory(),
  routes
})

/**
 * 导出路由
 */
export default router



