interface DisasterData {
  type: string // 类型
  occurrenceTime: string // 发生时间
  occurrenceAddress: string // 发生地址
  competentOrg: string // 主管机构
  outOfResource: string // 出动力量
  outOfTime: string // 出动时间
  waterTime: string // 出水时间
}

interface ResultData<Data> {
  msg: string // 消息
  code: number // 编码
  data: Data // 数据
}
